Get Transaction
curl --request GET \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/transactions/{transactionId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/transactions/{transactionId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "pi_3ABC123DEF456GHI",
"amount": 10000,
"currency": "usd",
"status": "succeeded",
"description": "Subscription creation",
"customer": {
"id": "cus_ABC123XYZ",
"email": "customer@example.com",
"name": "John Doe"
},
"created": 1700000000
}{
"error": "An unexpected error occurred"
}Transactions
Get Transaction
Retrieve a single transaction for a connected account.
GET
/
stripe
/
connect
/
accounts
/
{accountId}
/
transactions
/
{transactionId}
Get Transaction
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
The Stripe transaction ID
Response
OK
The payment intent ID
Example:
"pi_3ABC123DEF456GHI"
Amount in smallest currency unit (e.g., cents for USD)
Example:
10000
Three-letter ISO currency code
Example:
"usd"
Payment status
Example:
"succeeded"
Description of the payment
Example:
"Subscription creation"
Show child attributes
Show child attributes
Unix timestamp of when the transaction was created
Example:
1700000000
⌘I
